package cp_cv

import (
	"hilo-user/_const/enum/cp_e"
	"hilo-user/cv/user_cv"
)

// cp信息
type CvCp struct {
	CpUserInfo      *user_cv.CvUserBase `json:"cpUserInfo"`      // cp用户信息
	CpLevel         CvCpLevel           `json:"cpLevel"`         // cp等级
	MyPrivilegeList []CvPrivilege       `json:"myPrivilegeList"` // 等级特权
	CreatedUnix     int64               `json:"createdUnix"`     // cp创建时间
	CpDays          int                 `json:"cpDays"`          // cp天数
}

// cp关系
type CvCpRelation struct {
	CpId         uint64 `json:"cpId"`
	UserId       uint64 `json:"userId"`
	CpUserId     uint64 `json:"cpUserId"`
	CpUserAvatar string `json:"cpUserAvatar,omitempty"`
}

// cp进场特效信息
type CvCpEntryEffect struct {
	CpLevel       cp_e.CpLevel `json:"cpLevel"`
	CpUserAvatar  string       `json:"cpUserAvatar"`
	CpEntryEffect bool         `json:"cpEntryEffect"`
}
